<?php

namespace Modules\Konfirmasibank\Entities;

use Spatie\Activitylog\LogOptions;
use Spatie\Activitylog\Traits\LogsActivity;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class DPK extends Model
{
    use HasFactory;

    protected $primaryKey = 'cif';
    protected $connection = 'pgsql';
    protected $table = 'dpk';

    //public $incrementing = false;

    protected $fillable = [
    "'no_rek',
    'kode_cabang'
    'nama_cabang',
    'suku_bunga',
    'jumlah_nominal',
    'jenis_rekening'
    'period',
    'jatuh_tempo',
    'kode_mata_uang'"
    ];

}