<?php

namespace Modules\Konfirmasibank\Entities;

use Spatie\Activitylog\LogOptions;
use Spatie\Activitylog\Traits\LogsActivity;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class LimitReference extends Model
{
    use HasFactory;

    protected $connection = 'pgsql';
    protected $table = 'limit_reference';
    protected $primaryKey = 'id';

    //public $incrementing = false;

    protected $fillable = [
    "'id',
    'desc_name'
    'short_name',
    'reducing_limit',
    'limit_nemonic',
    'limit_reference',
    'description',
    'batch_date',
    'insert_date'"
    ];



}