<?php

namespace Modules\Konfirmasibank\Entities;

use Spatie\Activitylog\LogOptions;
use Spatie\Activitylog\Traits\LogsActivity;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Loan extends Model
{
    use HasFactory;

    protected $primaryKey = 'sk_nasabah';
    protected $connection = 'pgsql';
    protected $table = 'loan';

    //public $incrementing = false;

    protected $fillable = [
    "'sk_nasabah',
    'no_rek'
    'kode_cabang',
    'nama_cabang',
    'tgl_mulai',
    'jatuh_tempo',
    'periode',
    'outstanding',
    'kode_mata_uang',
    'product_loan',
    'principle_amount',
    'interest_rate',
    'tenor',
    'kode_status_lunas',
    'insert_date'
    "
    ];

}
